package br.com.forlinux.teste;

import static org.junit.Assert.*;

import java.text.ParseException;

import org.junit.Test;

import br.com.forlinux.bean.UtilBoleto;

public class EmissaoBoletoTest {

	@Test
	public void verificaPgtoAtrasado() throws ParseException {
		assertEquals("Pgto feito com atraso de 5 dias",
				new UtilBoleto().verificaPgto("25/11/2010", "30/11/2010"));
		assertEquals("Pgto feito com atraso de 30 dias",
				new UtilBoleto().verificaPgto("10/04/2011", "10/05/2011"));
		}

	@Test
	public void pgtoEmDias() throws ParseException {
		assertEquals("Pgto feito em dias",
				new UtilBoleto().verificaPgto("01/11/2010", "01/11/2010"));
		}

	@Test
	public void pgtoEmUmDiaAtrasado() throws ParseException {
		assertEquals("Pgto feito com atraso de 1 dia",
				new UtilBoleto().verificaPgto("28/12/2010", "27/12/2010"));
	}
}
