package forlinux.utildate.teste;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import forlinux.utildate.UtilDate;

public class UtilDateTest {

	@Test
	public void testIdadeValida() {
		assertEquals(23, UtilDate.calculaIdade(1987));
	}

	@Test
	public void testAnoNascimento() {
		assertEquals(1987, UtilDate.calculaAnoNascimento(23));
	}

	@Test
	public void testDataAtualFormatada() {
		assertEquals("09/11/2010", UtilDate.getDataAtualFormatada());
	}

	@Test(expected = IllegalArgumentException.class)
	public void testIdadeInapropriada() {
		UtilDate.calculaIdade(2000);
	}

}
