package br.com.forlinux.bean;

import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author 4linux Validando campo e-mail de um sistema .
 */
public class Login {
	private String email;
	private String senha;
	private static Map<String, String> listaUS;

	/*
	 * verifica se o e-mail foi digitado corretamente caso seja falso não será
	 * preciso verificar se existe o usuário
	 */
	public static String verificaEmail(String email, String senha) {
		String resultado = "invalido";
		boolean vemail = false;
		Pattern expressao = Pattern
				.compile("^([0-9a-zA-Z]+([_.-]?[0-9a-zA-Z]+)*@[0-9a-zA-Z]+[0-9,a-z,A-Z,.,-]*(.){1}[a-zA-Z]{2,4})+$");
		Matcher mat = expressao.matcher(email);
		boolean found = mat.matches();
		if (found) {
			resultado = verificaLogin(email, senha);
			vemail = true;
		}
		return resultado;
	}

	// verifica se e-mail e a senha existem
	public static String verificaLogin(String email, String senha) {
		String status = "invalido";
		Map<String, String> vemail = listaUsuario();
		String emailfound = vemail.get(email);		
		if(emailfound.equals(senha))
			status = "valido";
		return status;
	}

	// lista de emails cadastrados
	public static Map<String, String> listaUsuario() {
		listaUS = new HashMap<String, String>();
		listaUS.put("linux@4linux.com.br", "linux");
		listaUS.put("opensource@4linux.com.br", "open123");
		listaUS.put("ead@4linux.com.br", "ead4linux");
		listaUS.put("camilo@4linux.net","232");
		listaUS.put("opensource@open.org", "fre");
		listaUS.put("curso@4linux.com.br", "curso");

		return listaUS;

	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getSenha() {
		return senha;
	}

	public void setSenha(String senha) {
		this.senha = senha;
	}

}
