package br.com.forlinux.bean;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class UtilBoleto {

	public String verificaPgto(String dataVencto, String dataPgto)
			throws ParseException {
		DateFormat df = new SimpleDateFormat("dd/MM/yyyy");
		Date dateVencto = df.parse(dataVencto);
		Date datePgto = df.parse(dataPgto);
			Calendar calendarVencto = Calendar.getInstance();
		calendarVencto.setTime(dateVencto);
			Calendar calendarPgto = Calendar.getInstance();
		calendarPgto.setTime(datePgto);
		long pgtoData = calendarPgto.getTimeInMillis()
				- calendarVencto.getTimeInMillis();
		int umDia = 1000 * 60 * 60 * 24;
		long dias = pgtoData / umDia;
		if (verificaAtraso(dias)) {
			return "Pgto feito em dias";
		}
		if (dias != 1) {
			return "Pgto feito com atraso de " + dias + " dias";
		}
		return "Pgto feito com atraso de " + dias + " dia";
	}

	public boolean verificaAtraso(long periodo) {
		if (periodo != 0) {
			return false;
		}

		return true;
	}

}
